
.. _ch_auto_add_cli:

ch_auto_add
///////////

::

   
   ch_auto_add
   -----------
   
   Change an existing handle so that new suites can be added automatically.
      arg1 = handle(integer)  # The handle must be an integer that is > 0
      arg2 = true | false     # true means add new suites to my list, when they are created
   Usage:
    --ch_auto_add=10 true     # modify handle 10 so that new suites, get added automatically to it
    --ch_auto_add=10 false    # modify handle 10 so that no new suites are added
   The handle is created with --ch_register command
   To list all suites and handles use --ch_suites
   
   The client reads in the following environment variables. These are read by user and child command
   
   |----------|----------|------------|-------------------------------------------------------------------|
   | Name     |  Type    | Required   | Description                                                       |
   |----------|----------|------------|-------------------------------------------------------------------|
   | ECF_HOST | <string> | Mandatory* | The host name of the main server. defaults to 'localhost'         |
   | ECF_PORT |  <int>   | Mandatory* | The TCP/IP port to call on the server. Must be unique to a server |
   | ECF_SSL  |  <any>   | Optional*  | Enable encrypted comms with SSL enabled server.                   |
   |----------|----------|------------|-------------------------------------------------------------------|
   
   * The host and port must be specified in order for the client to communicate with the server, this can 
     be done by setting ECF_HOST, ECF_PORT or by specifying --host=<host> --port=<int> on the command line
   
